api_platform:
#    eager_loading:
#        max_joins: 500
    mapping:
        paths: ['%kernel.project_dir%/src/Entity']
#    patch_formats:
#        json: ['application/merge-patch+json']
    swagger:
        versions: [3]
    formats:
#        form:
#            mime_types: ['multipart/form-data']
        json:     ['application/json']
#        jsonld:   ['application/ld+json']
#        jsonhal:  ['application/hal+json']
#        jsonapi:  ['application/vnd.api+json']

    defaults:
        pagination_client_enabled: true
        pagination_items_per_page: 500
    collection:
        pagination:
            enabled_parameter_name: pagination # optional
